Update user

Update an existing user.

Updatable Fields:

  • role_id: User's role ID (must match an ID from GET /roles)
  • email: Email address (must be globally unique across all accounts)
  • first_name: User's first name
  • last_name: User's last name
  • phone: Phone number
  • user_avatar: Avatar URL

Lifecycle Management:

  • To deactivate a user, use the POST /users/{id}/deactivate endpoint
  • To delete a user, use the DELETE /users/{id} endpoint
  • The active field cannot be set via PATCH - use dedicated endpoints
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

User ID

Body Params
string | null
uri | null

Icon URL

string
length ≤ 200
string | null
string | null
integer | null

Role ID

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json